<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();
$set['title']='Мой аватар';
include_once 'sys/inc/thead.php';
title();

$raz=250;
if (isset($_FILES['file']))
{
if (preg_match('#\.jpe?g$#i',$_FILES['file']['name']) && $imgc=@imagecreatefromjpeg($_FILES['file']['tmp_name']))
{
if (imagesx($imgc)>$raz || imagesy($imgc)>$raz)
{
$img_x=imagesx($imgc);
$img_y=imagesy($imgc);
if ($img_x==$img_y)
{
$dstW=$raz; // ширина
$dstH=$raz; // высота 
}
elseif ($img_x>$img_y)
{
$prop=$img_x/$img_y;
$dstW=$raz;
$dstH=ceil($dstW/$prop);
}else{
$prop=$img_y/$img_x;
$dstH=$raz;
$dstW=ceil($dstH/$prop);
}

$screen=imagecreatetruecolor($dstW, $dstH);
imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
imagedestroy($imgc);
$screen=img_copyright($screen); // наложение копирайта
@chmod(H."sys/avatar/$user[id].jpg",0777);
@chmod(H."sys/avatar/$user[id].gif",0777);
@chmod(H."sys/avatar/$user[id].png",0777);
@unlink(H."sys/avatar/$user[id].jpg");
@unlink(H."sys/avatar/$user[id].gif");
@unlink(H."sys/avatar/$user[id].png");
imagejpeg($screen,H."sys/avatar/$user[id].jpg",100);
@chmod(H."sys/avatar/$user[id].jpg",0777);
imagedestroy($screen);
}else{
copy($_FILES['file']['tmp_name'], H."sys/avatar/$user[id].jpg");
}
#######
header('Location: ?enk');
#######
}
elseif (preg_match('#\.gif$#i',$_FILES['file']['name']) && $imgc=@imagecreatefromgif($_FILES['file']['tmp_name']))
{
include_once 'sys/inc/gif_resize.php';
$screen=gif_resize(fread ( fopen ($_FILES['file']['tmp_name'], "rb" ), filesize ($_FILES['file']['tmp_name']) ),$raz,$raz);
@chmod(H."sys/avatar/$user[id].jpg",0777);
@chmod(H."sys/avatar/$user[id].gif",0777);
@chmod(H."sys/avatar/$user[id].png",0777);
@unlink(H."sys/avatar/$user[id].jpg");
@unlink(H."sys/avatar/$user[id].gif");
@unlink(H."sys/avatar/$user[id].png");

file_put_contents(H."sys/avatar/$user[id].gif", $screen);
@chmod(H."sys/avatar/$user[id].gif",0777);
#######
header('Location: ?enk');
#######
}
elseif (preg_match('#\.png$#i',$_FILES['file']['name']) && $imgc=@imagecreatefrompng($_FILES['file']['tmp_name']))
{
if (imagesx($imgc)>$raz || imagesy($imgc)>$raz)
{
$img_x=imagesx($imgc);
$img_y=imagesy($imgc);
if ($img_x==$img_y)
{
$dstW=$raz; // ширина
$dstH=$raz; // высота 
}
elseif ($img_x>$img_y)
{
$prop=$img_x/$img_y;
$dstW=$raz;
$dstH=ceil($dstW/$prop);
}
else
{
$prop=$img_y/$img_x;
$dstH=$raz;
$dstW=ceil($dstH/$prop);
}

$screen=ImageCreate($dstW, $dstH);
imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
imagedestroy($imgc);
$screen=img_copyright($screen); // наложение копирайта
@chmod(H."sys/avatar/$user[id].jpg",0777);
@chmod(H."sys/avatar/$user[id].gif",0777);
@chmod(H."sys/avatar/$user[id].png",0777);
@unlink(H."sys/avatar/$user[id].jpg");
@unlink(H."sys/avatar/$user[id].gif");
@unlink(H."sys/avatar/$user[id].png");
imagepng($screen,H."sys/avatar/$user[id].png");
@chmod(H."sys/avatar/$user[id].png",0777);
imagedestroy($screen);
}else{
copy($_FILES['file']['tmp_name'], H."sys/avatar/$user[id].png");
}
#######
header('Location: ?enk');
#######
}
else
{
$err='Неверный формат файла';
}
}
if(isset($_GET['enk_men']))
{
#                             ENK Полноценный двиг :)                          #
@chmod(H."sys/avatar/$user[id].jpg",0777);
@chmod(H."sys/avatar/$user[id].gif",0777);
@chmod(H."sys/avatar/$user[id].png",0777);
@unlink(H."sys/avatar/$user[id].jpg");
@unlink(H."sys/avatar/$user[id].gif");
@unlink(H."sys/avatar/$user[id].png");
################################################################################
header('Location: ?enk');
################################################################################
}

if(isset($_GET['enk']))
{
#######
mysql_query("DELETE FROM `ava_laik` WHERE `id_kont` = '$user[id]'");
mysql_query("DELETE FROM `avkom` WHERE `id_av`= '$user[id]' ");
#######
msg("Аватар успешно установлен");
}

err();
echo "<div class='fyt'><center>\n";
avatar($user['id']);
if (is_file(H."/sys/avatar/$user[id].gif") || is_file(H."/sys/avatar/$user[id].jpg") || is_file(H."/sys/avatar/$user[id].png")){
echo "<br /><a href='?enk_men'>Удалить Аватар!</a>";
}
echo "</center></div>\n";
echo "<form method='post' enctype='multipart/form-data' action='?$passgen'>
Аватар (*.GIF, JPG, PNG)<br />
<input type='file' name='file' accept='image/*,image/gif,image/png,image/jpeg' />
<br /><input value='Заменить' type='submit' />
</form>
<div class='fyt'>\n";
if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
echo "&laquo;<a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br />\n";
echo "&laquo;<a href='umenu.php'>Мое меню</a><br /></div>\n";
include_once 'sys/inc/tfoot.php';
?>